/gitlab-issues | Type: Application | PCID required: Yes
Tools
gitlab_issues_create_issue
Create a new project issue Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project |
add_labels | string[] | No | — | Comma-separated list of label names |
assignee_id | integer | No | — | [Deprecated] The ID of a user to assign issue |
assignee_ids | integer[] | No | — | The array of user IDs to assign issue |
confidential | boolean | No | — | Boolean parameter if the issue should be confidential |
created_at | string | No | — | Date time when the issue was created. Available only for admins and project owners. |
description | string | No | — | The description of an issue |
discussion_locked | boolean | No | — | Boolean parameter indicating if the issue’s discussion is locked |
discussion_to_resolve | string | No | — | The ID of a discussion to resolve, also pass merge_request_to_resolve_discussions_of |
due_date | string | No | — | Date string in the format YEAR-MONTH-DAY |
epic_id | integer | No | — | The ID of an epic to associate the issue with |
epic_iid | integer | No | — | The IID of an epic to associate the issue with (deprecated) |
iid | integer | No | — | The internal ID of a project issue. Available only for admins and project owners. |
issue_type | string | No | — | The type of the issue. Accepts: issue, incident, test_case, requirement, task, ticket |
labels | string[] | No | — | Comma-separated list of label names |
merge_request_to_resolve_discussions_of | integer | No | — | The IID of a merge request for which to resolve discussions |
milestone | string | No | — | The title of a project or ancestor-group milestone to assign the issue to. Mutually exclusive with milestone_id. |
milestone_id | integer | No | — | The ID of a milestone to assign issue |
remove_labels | string[] | No | — | Comma-separated list of label names |
title | string | Yes | — | The title of an issue |
weight | integer | No | — | The weight of the issue |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project"
},
"add_labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated list of label names"
},
"assignee_id": {
"type": "integer",
"description": "[Deprecated] The ID of a user to assign issue"
},
"assignee_ids": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The array of user IDs to assign issue"
},
"confidential": {
"type": "boolean",
"description": "Boolean parameter if the issue should be confidential"
},
"created_at": {
"type": "string",
"description": "Date time when the issue was created. Available only for admins and project owners."
},
"description": {
"type": "string",
"description": "The description of an issue"
},
"discussion_locked": {
"type": "boolean",
"description": "Boolean parameter indicating if the issue's discussion is locked"
},
"discussion_to_resolve": {
"type": "string",
"description": "The ID of a discussion to resolve, also pass `merge_request_to_resolve_discussions_of`"
},
"due_date": {
"type": "string",
"description": "Date string in the format YEAR-MONTH-DAY"
},
"epic_id": {
"type": "integer",
"description": "The ID of an epic to associate the issue with"
},
"epic_iid": {
"type": "integer",
"description": "The IID of an epic to associate the issue with (deprecated)"
},
"iid": {
"type": "integer",
"description": "The internal ID of a project issue. Available only for admins and project owners."
},
"issue_type": {
"type": "string",
"description": "The type of the issue. Accepts: issue, incident, test_case, requirement, task, ticket",
"enum": [
"issue",
"incident",
"test_case",
"requirement",
"task",
"ticket"
]
},
"labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated list of label names"
},
"merge_request_to_resolve_discussions_of": {
"type": "integer",
"description": "The IID of a merge request for which to resolve discussions"
},
"milestone": {
"type": "string",
"description": "The title of a project or ancestor-group milestone to assign the issue to. Mutually exclusive with `milestone_id`."
},
"milestone_id": {
"type": "integer",
"description": "The ID of a milestone to assign issue"
},
"remove_labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated list of label names"
},
"title": {
"type": "string",
"description": "The title of an issue"
},
"weight": {
"type": "integer",
"description": "The weight of the issue"
}
},
"required": [
"PCID",
"id",
"title"
]
}
gitlab_issues_create_merge_request
Create merge request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project. |
add_labels | string[] | No | — | Comma-separated label names to add to a merge request. |
allow_collaboration | boolean | No | — | Allow commits from members who can merge to the target branch. |
allow_maintainer_to_push | boolean | No | — | [deprecated] See allow_collaboration |
approvals_before_merge | integer | No | — | Number of approvals required before this can be merged |
assignee_id | integer | No | — | Assignee user ID. |
assignee_ids | integer[] | No | — | The IDs of the users to assign the merge request to, as a comma-separated list. Set to 0 or provide an empty value to unassign all assignees. |
description | string | No | — | Description of the merge request. Limited to 1,048,576 characters. |
labels | string[] | No | — | Comma-separated label names for a merge request. Set to an empty string to unassign all labels. |
merge_after | string | No | — | Date after which the merge request can be merged. |
milestone | string | No | — | The title of a project or ancestor-group milestone to assign the merge request to. Mutually exclusive with milestone_id. |
milestone_id | integer | No | — | The global ID of a milestone to assign the merge request to. |
remove_labels | string[] | No | — | Comma-separated label names to remove from a merge request. |
remove_source_branch | boolean | No | — | Flag indicating if a merge request should remove the source branch when merging. |
reviewer_ids | integer[] | No | — | The IDs of the users to review the merge request, as a comma-separated list. Set to 0 or provide an empty value to unassign all reviewers. |
source_branch | string | Yes | — | The source branch. |
squash | boolean | No | — | Squash commits into a single commit when merging. |
target_branch | string | Yes | — | The target branch. |
target_project_id | integer | No | — | The target project of the merge request defaults to the :id of the project. |
title | string | Yes | — | The title of the merge request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project."
},
"add_labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated label names to add to a merge request."
},
"allow_collaboration": {
"type": "boolean",
"description": "Allow commits from members who can merge to the target branch."
},
"allow_maintainer_to_push": {
"type": "boolean",
"description": "[deprecated] See allow_collaboration"
},
"approvals_before_merge": {
"type": "integer",
"description": "Number of approvals required before this can be merged"
},
"assignee_id": {
"type": "integer",
"description": "Assignee user ID."
},
"assignee_ids": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The IDs of the users to assign the merge request to, as a comma-separated list. Set to 0 or provide an empty value to unassign all assignees."
},
"description": {
"type": "string",
"description": "Description of the merge request. Limited to 1,048,576 characters."
},
"labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated label names for a merge request. Set to an empty string to unassign all labels."
},
"merge_after": {
"type": "string",
"description": "Date after which the merge request can be merged."
},
"milestone": {
"type": "string",
"description": "The title of a project or ancestor-group milestone to assign the merge request to. Mutually exclusive with `milestone_id`."
},
"milestone_id": {
"type": "integer",
"description": "The global ID of a milestone to assign the merge request to."
},
"remove_labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated label names to remove from a merge request."
},
"remove_source_branch": {
"type": "boolean",
"description": "Flag indicating if a merge request should remove the source branch when merging."
},
"reviewer_ids": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The IDs of the users to review the merge request, as a comma-separated list. Set to 0 or provide an empty value to unassign all reviewers."
},
"source_branch": {
"type": "string",
"description": "The source branch."
},
"squash": {
"type": "boolean",
"description": "Squash commits into a single commit when merging."
},
"target_branch": {
"type": "string",
"description": "The target branch."
},
"target_project_id": {
"type": "integer",
"description": "The target project of the merge request defaults to the :id of the project."
},
"title": {
"type": "string",
"description": "The title of the merge request."
}
},
"required": [
"PCID",
"id",
"source_branch",
"target_branch",
"title"
]
}
gitlab_issues_get_group
Get a single group, with containing projects. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of a group |
with_custom_attributes | boolean | No | — | Include custom attributes in the response |
with_projects | boolean | No | — | Omit project details |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of a group"
},
"with_custom_attributes": {
"type": "boolean",
"description": "Include custom attributes in the response"
},
"with_projects": {
"type": "boolean",
"description": "Omit project details"
}
},
"required": [
"PCID",
"id"
]
}
gitlab_issues_get_issue
Get a single project issue Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project |
issue_iid | integer | Yes | — | The internal ID of a project issue |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project"
},
"issue_iid": {
"type": "integer",
"description": "The internal ID of a project issue"
}
},
"required": [
"PCID",
"id",
"issue_iid"
]
}
gitlab_issues_get_merge_request
Get single merge request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project. |
merge_request_iid | integer | Yes | — | The internal ID of the merge request. |
render_html | boolean | No | — | If true, response includes rendered HTML for title and description. |
include_diverged_commits_count | boolean | No | — | If true, response includes the commits behind the target branch. |
include_rebase_in_progress | boolean | No | — | If true, response includes whether a rebase operation is in progress. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project."
},
"merge_request_iid": {
"type": "integer",
"description": "The internal ID of the merge request."
},
"render_html": {
"type": "boolean",
"description": "If `true`, response includes rendered HTML for title and description."
},
"include_diverged_commits_count": {
"type": "boolean",
"description": "If `true`, response includes the commits behind the target branch."
},
"include_rebase_in_progress": {
"type": "boolean",
"description": "If `true`, response includes whether a rebase operation is in progress."
}
},
"required": [
"PCID",
"id",
"merge_request_iid"
]
}
gitlab_issues_get_merge_request_changes
Get single merge request changes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project. |
unidiff | boolean | No | — | A diff in a Unified diff format |
merge_request_iid | integer | Yes | — | Merge Request Iid |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project."
},
"unidiff": {
"type": "boolean",
"description": "A diff in a Unified diff format"
},
"merge_request_iid": {
"type": "integer",
"description": "Merge Request Iid"
}
},
"required": [
"PCID",
"id",
"merge_request_iid"
]
}
gitlab_issues_get_merge_request_commits
Get single merge request commits Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project. |
merge_request_iid | integer | Yes | — | The internal ID of the merge request. |
page | integer | No | — | Current page number |
per_page | integer | No | — | Number of items per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project."
},
"merge_request_iid": {
"type": "integer",
"description": "The internal ID of the merge request."
},
"page": {
"type": "integer",
"description": "Current page number"
},
"per_page": {
"type": "integer",
"description": "Number of items per page"
}
},
"required": [
"PCID",
"id",
"merge_request_iid"
]
}
gitlab_issues_get_merge_request_diffs
Get the merge request diffs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project. |
merge_request_iid | integer | Yes | — | The internal ID of the merge request. |
page | integer | No | — | Current page number |
per_page | integer | No | — | Number of items per page |
unidiff | boolean | No | — | A diff in a Unified diff format |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project."
},
"merge_request_iid": {
"type": "integer",
"description": "The internal ID of the merge request."
},
"page": {
"type": "integer",
"description": "Current page number"
},
"per_page": {
"type": "integer",
"description": "Number of items per page"
},
"unidiff": {
"type": "boolean",
"description": "A diff in a Unified diff format"
}
},
"required": [
"PCID",
"id",
"merge_request_iid"
]
}
gitlab_issues_get_merge_request_pipelines
Get single merge request pipelines Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project. |
merge_request_iid | integer | Yes | — | The internal ID of the merge request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project."
},
"merge_request_iid": {
"type": "integer",
"description": "The internal ID of the merge request."
}
},
"required": [
"PCID",
"id",
"merge_request_iid"
]
}
gitlab_issues_list_groups
List all groups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
statistics | boolean | No | — | Include project statistics |
archived | boolean | No | — | Limit by archived status |
skip_groups | integer[] | No | — | Array of group ids to exclude from list |
all_available | boolean | No | — | When true, returns all accessible groups. When false, returns only groups where the user is a member. |
visibility | string | No | — | Limit by visibility |
search | string | No | — | Search for a specific group |
owned | boolean | No | — | Limit by owned by authenticated user |
order_by | string | No | — | Order by name, path, id or similarity if searching |
sort | string | No | — | Sort by asc (ascending) or desc (descending) |
min_access_level | integer | No | — | Minimum access level of authenticated user |
top_level_only | boolean | No | — | Only include top-level groups |
marked_for_deletion_on | string | No | — | Return groups that are marked for deletion on this date |
active | boolean | No | — | Limit by groups that are not archived and not marked for deletion |
repository_storage | string | No | — | Filter by repository storage used by the group |
page | integer | No | — | Current page number |
per_page | integer | No | — | Number of items per page |
with_custom_attributes | boolean | No | — | Include custom attributes in the response |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"statistics": {
"type": "boolean",
"description": "Include project statistics"
},
"archived": {
"type": "boolean",
"description": "Limit by archived status"
},
"skip_groups": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "Array of group ids to exclude from list"
},
"all_available": {
"type": "boolean",
"description": "When `true`, returns all accessible groups. When `false`, returns only groups where the user is a member."
},
"visibility": {
"type": "string",
"description": "Limit by visibility",
"enum": [
"private",
"internal",
"public"
]
},
"search": {
"type": "string",
"description": "Search for a specific group"
},
"owned": {
"type": "boolean",
"description": "Limit by owned by authenticated user"
},
"order_by": {
"type": "string",
"description": "Order by name, path, id or similarity if searching",
"enum": [
"name",
"path",
"id",
"similarity"
]
},
"sort": {
"type": "string",
"description": "Sort by asc (ascending) or desc (descending)",
"enum": [
"asc",
"desc"
]
},
"min_access_level": {
"type": "integer",
"description": "Minimum access level of authenticated user",
"enum": [
10,
15,
20,
30,
40,
50
]
},
"top_level_only": {
"type": "boolean",
"description": "Only include top-level groups"
},
"marked_for_deletion_on": {
"type": "string",
"description": "Return groups that are marked for deletion on this date"
},
"active": {
"type": "boolean",
"description": "Limit by groups that are not archived and not marked for deletion"
},
"repository_storage": {
"type": "string",
"description": "Filter by repository storage used by the group"
},
"page": {
"type": "integer",
"description": "Current page number"
},
"per_page": {
"type": "integer",
"description": "Number of items per page"
},
"with_custom_attributes": {
"type": "boolean",
"description": "Include custom attributes in the response"
}
},
"required": [
"PCID"
]
}
gitlab_issues_list_issues
Get currently authenticated user’s issues Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
with_labels_details | boolean | No | — | Return titles of labels and other details |
state | string | No | — | Return opened, closed, or all issues |
closed_by_id | integer | No | — | Return issues which were closed by the user with the given ID. |
order_by | string | No | — | Return issues ordered by created_at, due_date, label_priority, milestone_due, popularity, priority, relative_position, title, or updated_at fields. |
sort | string | No | — | Return issues sorted in asc or desc order. |
due_date | string | No | — | Return issues that have no due date (0), or whose due date is this week, this month, between two weeks ago and next month, or which are overdue. Accepts: overdue, week, month, next_month_and_previous_two_weeks, 0 |
issue_type | string | No | — | The type of the issue. Accepts: issue, incident, test_case, requirement, task, ticket |
labels | string[] | No | — | Comma-separated list of label names |
milestone | string | No | — | Milestone title |
milestone_id | string | No | — | Return issues assigned to milestones with the specified timebox value (“Any”, “None”, “Upcoming” or “Started”) |
iids | integer[] | No | — | The IID array of issues |
search | string | No | — | Search issues for text present in the title, description, or any combination of these |
in | string | No | — | title, description, or a string joining them with comma |
author_id | integer | No | — | Return issues which are authored by the user with the given ID |
author_username | string | No | — | Return issues which are authored by the user with the given username |
assignee_id | integer | No | — | Return issues which are assigned to the user with the given ID |
assignee_username | string[] | No | — | Return issues which are assigned to the user with the given username |
created_after | string | No | — | Return issues created after the specified time |
created_before | string | No | — | Return issues created before the specified time |
updated_after | string | No | — | Return issues updated after the specified time |
updated_before | string | No | — | Return issues updated before the specified time |
not[labels] | string[] | No | — | Comma-separated list of label names |
not[milestone] | string | No | — | Milestone title |
not[milestone_id] | string | No | — | Return issues assigned to milestones without the specified timebox value (“Any”, “None”, “Upcoming” or “Started”) |
not[iids] | integer[] | No | — | The IID array of issues |
not[author_id] | integer | No | — | Return issues which are not authored by the user with the given ID |
not[author_username] | string | No | — | Return issues which are not authored by the user with the given username |
not[assignee_id] | integer | No | — | Return issues which are not assigned to the user with the given ID |
not[assignee_username] | string[] | No | — | Return issues which are not assigned to the user with the given username |
not[weight] | integer | No | — | Return issues without the specified weight |
not[iteration_id] | integer | No | — | Return issues which are not assigned to the iteration with the given ID |
not[iteration_title] | string | No | — | Return issues which are not assigned to the iteration with the given title |
scope | string | No | — | Return issues for the given scope: created_by_me, assigned_to_me or all |
my_reaction_emoji | string | No | — | Return issues reacted by the authenticated user by the given emoji |
confidential | boolean | No | — | Filter confidential or public issues |
weight | integer | No | — | The weight of the issue |
epic_id | integer | No | — | The ID of an epic associated with the issues |
health_status | string | No | — | The health status of the issue. Must be one of: on_track, needs_attention, at_risk, none, any |
iteration_id | integer | No | — | Return issues which are assigned to the iteration with the given ID |
iteration_title | string | No | — | Return issues which are assigned to the iteration with the given title |
page | integer | No | — | Current page number |
per_page | integer | No | — | Number of items per page |
non_archived | boolean | No | — | Return issues from non archived projects |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"with_labels_details": {
"type": "boolean",
"description": "Return titles of labels and other details"
},
"state": {
"type": "string",
"description": "Return opened, closed, or all issues",
"enum": [
"opened",
"closed",
"all"
]
},
"closed_by_id": {
"type": "integer",
"description": "Return issues which were closed by the user with the given ID."
},
"order_by": {
"type": "string",
"description": "Return issues ordered by `created_at`, `due_date`, `label_priority`, `milestone_due`, `popularity`, `priority`, `relative_position`, `title`, or `updated_at` fields.",
"enum": [
"created_at",
"due_date",
"label_priority",
"milestone_due",
"popularity",
"priority",
"relative_position",
"title",
"updated_at",
"weight"
]
},
"sort": {
"type": "string",
"description": "Return issues sorted in `asc` or `desc` order.",
"enum": [
"asc",
"desc"
]
},
"due_date": {
"type": "string",
"description": "Return issues that have no due date (`0`), or whose due date is this week, this month, between two weeks ago and next month, or which are overdue. Accepts: `overdue`, `week`, `month`, `next_month_and_previous_two_weeks`, `0`",
"enum": [
"0",
"any",
"today",
"tomorrow",
"overdue",
"week",
"month",
"next_month_and_previous_two_weeks",
""
]
},
"issue_type": {
"type": "string",
"description": "The type of the issue. Accepts: issue, incident, test_case, requirement, task, ticket",
"enum": [
"issue",
"incident",
"test_case",
"requirement",
"task",
"ticket"
]
},
"labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated list of label names"
},
"milestone": {
"type": "string",
"description": "Milestone title"
},
"milestone_id": {
"type": "string",
"description": "Return issues assigned to milestones with the specified timebox value (\"Any\", \"None\", \"Upcoming\" or \"Started\")",
"enum": [
"Any",
"None",
"Upcoming",
"Started"
]
},
"iids": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The IID array of issues"
},
"search": {
"type": "string",
"description": "Search issues for text present in the title, description, or any combination of these"
},
"in": {
"type": "string",
"description": "`title`, `description`, or a string joining them with comma"
},
"author_id": {
"type": "integer",
"description": "Return issues which are authored by the user with the given ID"
},
"author_username": {
"type": "string",
"description": "Return issues which are authored by the user with the given username"
},
"assignee_id": {
"type": "integer",
"description": "Return issues which are assigned to the user with the given ID"
},
"assignee_username": {
"type": "array",
"items": {
"type": "string"
},
"description": "Return issues which are assigned to the user with the given username"
},
"created_after": {
"type": "string",
"description": "Return issues created after the specified time"
},
"created_before": {
"type": "string",
"description": "Return issues created before the specified time"
},
"updated_after": {
"type": "string",
"description": "Return issues updated after the specified time"
},
"updated_before": {
"type": "string",
"description": "Return issues updated before the specified time"
},
"not[labels]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated list of label names"
},
"not[milestone]": {
"type": "string",
"description": "Milestone title"
},
"not[milestone_id]": {
"type": "string",
"description": "Return issues assigned to milestones without the specified timebox value (\"Any\", \"None\", \"Upcoming\" or \"Started\")",
"enum": [
"Any",
"None",
"Upcoming",
"Started"
]
},
"not[iids]": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The IID array of issues"
},
"not[author_id]": {
"type": "integer",
"description": "Return issues which are not authored by the user with the given ID"
},
"not[author_username]": {
"type": "string",
"description": "Return issues which are not authored by the user with the given username"
},
"not[assignee_id]": {
"type": "integer",
"description": "Return issues which are not assigned to the user with the given ID"
},
"not[assignee_username]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Return issues which are not assigned to the user with the given username"
},
"not[weight]": {
"type": "integer",
"description": "Return issues without the specified weight"
},
"not[iteration_id]": {
"type": "integer",
"description": "Return issues which are not assigned to the iteration with the given ID"
},
"not[iteration_title]": {
"type": "string",
"description": "Return issues which are not assigned to the iteration with the given title"
},
"scope": {
"type": "string",
"description": "Return issues for the given scope: `created_by_me`, `assigned_to_me` or `all`",
"enum": [
"created-by-me",
"assigned-to-me",
"created_by_me",
"assigned_to_me",
"all"
]
},
"my_reaction_emoji": {
"type": "string",
"description": "Return issues reacted by the authenticated user by the given emoji"
},
"confidential": {
"type": "boolean",
"description": "Filter confidential or public issues"
},
"weight": {
"type": "integer",
"description": "The weight of the issue"
},
"epic_id": {
"type": "integer",
"description": "The ID of an epic associated with the issues"
},
"health_status": {
"type": "string",
"description": "The health status of the issue. Must be one of: on_track, needs_attention, at_risk, none, any",
"enum": [
"on_track",
"needs_attention",
"at_risk",
"none",
"any"
]
},
"iteration_id": {
"type": "integer",
"description": "Return issues which are assigned to the iteration with the given ID"
},
"iteration_title": {
"type": "string",
"description": "Return issues which are assigned to the iteration with the given title"
},
"page": {
"type": "integer",
"description": "Current page number"
},
"per_page": {
"type": "integer",
"description": "Number of items per page"
},
"non_archived": {
"type": "boolean",
"description": "Return issues from non archived projects"
}
},
"required": [
"PCID"
]
}
gitlab_issues_list_merge_requests
List merge requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
author_id | integer | No | — | Returns merge requests created by the given user id. Mutually exclusive with author_username. Combine with scope=all or scope=assigned_to_me. |
author_username | string | No | — | Returns merge requests created by the given username. Mutually exclusive with author_id. |
assignee_id | integer | No | — | Returns merge requests assigned to the given user id. None returns unassigned merge requests. Any returns merge requests with an assignee. |
assignee_username | string[] | No | — | Returns merge requests created by the given username. Mutually exclusive with author_id. |
reviewer_username | string | No | — | Returns merge requests which have the user as a reviewer with the given username. None returns merge requests with no reviewers. Any returns merge requests with any reviewer. Mutually exclusive with reviewer_id. Introduced in GitLab 13.8. |
labels | string[] | No | — | Returns merge requests matching a comma-separated list of labels. None lists all merge requests with no labels. Any lists all merge requests with at least one label. Predefined names are case-insensitive. |
milestone | string | No | — | Returns merge requests for a specific milestone. None returns merge requests with no milestone. Any returns merge requests that have an assigned milestone. |
my_reaction_emoji | string | No | — | Returns merge requests reacted by the authenticated user by the given emoji. None returns issues not given a reaction. Any returns issues given at least one reaction. |
reviewer_id | integer | No | — | Returns merge requests which have the user as a reviewer with the given user id. None returns merge requests with no reviewers. Any returns merge requests with any reviewer. Mutually exclusive with reviewer_username. |
state | string | No | — | Returns all merge requests or just those that are opened, closed, locked, or merged. |
order_by | string | No | — | Returns merge requests ordered by created_at, label_priority, milestone_due, popularity, priority, title, updated_at or merged_at fields. Introduced in GitLab 14.8. |
sort | string | No | — | Returns merge requests sorted in asc or desc order. |
with_labels_details | boolean | No | — | If true, response returns more details for each label in labels field: :name,:color, :description, :description_html, :text_color |
with_merge_status_recheck | boolean | No | — | If true, this projection requests (but does not guarantee) that the merge_status field be recalculated asynchronously. Introduced in GitLab 13.0. |
created_after | string | No | — | Returns merge requests created on or after the given time. Expected in ISO 8601 format. |
created_before | string | No | — | Returns merge requests created on or before the given time. Expected in ISO 8601 format. |
updated_after | string | No | — | Returns merge requests updated on or after the given time. Expected in ISO 8601 format. |
updated_before | string | No | — | Returns merge requests updated on or before the given time. Expected in ISO 8601 format. |
view | string | No | — | If simple, returns the iid, URL, title, description, and basic state of merge request |
scope | string | No | — | Returns merge requests for the given scope: created_by_me, assigned_to_me, reviews_for_me or all |
source_branch | string | No | — | Returns merge requests with the given source branch |
source_project_id | integer | No | — | Returns merge requests with the given source project id |
target_branch | string | No | — | Returns merge requests with the given target branch |
search | string | No | — | Search merge requests against their title and description. |
in | string | No | — | Modify the scope of the search attribute. title, description, or a string joining them with comma. |
wip | string | No | — | Deprecated. Use draft instead. Filter merge requests against their wip status. yes to return only draft merge requests, no to return non-draft merge requests. |
draft | boolean | No | — | Filter merge requests against their draft status. true to return only draft merge requests, false to return non-draft merge requests. |
not[author_id] | integer | No | — | <Negated> Returns merge requests created by the given user id. Mutually exclusive with author_username. Combine with scope=all or scope=assigned_to_me. |
not[author_username] | string | No | — | <Negated> Returns merge requests created by the given username. Mutually exclusive with author_id. |
not[assignee_id] | integer | No | — | <Negated> Returns merge requests assigned to the given user id. None returns unassigned merge requests. Any returns merge requests with an assignee. |
not[assignee_username] | string[] | No | — | <Negated> Returns merge requests created by the given username. Mutually exclusive with author_id. |
not[reviewer_username] | string | No | — | <Negated> Returns merge requests which have the user as a reviewer with the given username. None returns merge requests with no reviewers. Any returns merge requests with any reviewer. Mutually exclusive with reviewer_id. Introduced in GitLab 13.8. |
not[labels] | string[] | No | — | <Negated> Returns merge requests matching a comma-separated list of labels. None lists all merge requests with no labels. Any lists all merge requests with at least one label. Predefined names are case-insensitive. |
not[milestone] | string | No | — | <Negated> Returns merge requests for a specific milestone. None returns merge requests with no milestone. Any returns merge requests that have an assigned milestone. |
not[my_reaction_emoji] | string | No | — | <Negated> Returns merge requests reacted by the authenticated user by the given emoji. None returns issues not given a reaction. Any returns issues given at least one reaction. |
not[reviewer_id] | integer | No | — | <Negated> Returns merge requests which have the user as a reviewer with the given user id. None returns merge requests with no reviewers. Any returns merge requests with any reviewer. Mutually exclusive with reviewer_username. |
deployed_before | string | No | — | Returns merge requests deployed before the given date/time. Expected in ISO 8601 format. |
deployed_after | string | No | — | Returns merge requests deployed after the given date/time. Expected in ISO 8601 format |
environment | string | No | — | Returns merge requests deployed to the given environment |
merge_user_id | integer | No | — | Returns merge requests which have been merged by the user with the given user id. Mutually exclusive with merge_user_username. |
merge_user_username | string | No | — | Returns merge requests which have been merged by the user with the given username. Mutually exclusive with merge_user_id. |
approver_ids | string | No | — | Return merge requests which have specified the users with the given IDs as an individual approver |
approved_by_ids | string | No | — | Return merge requests which have been approved by the specified users with the given IDs |
approved_by_usernames | string | No | — | Return merge requests which have been approved by the specified users with the given usernames |
page | integer | No | — | Current page number |
per_page | integer | No | — | Number of items per page |
non_archived | boolean | No | — | Returns merge requests from non archived projects only. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"author_id": {
"type": "integer",
"description": "Returns merge requests created by the given user `id`. Mutually exclusive with `author_username`. Combine with `scope=all` or `scope=assigned_to_me`."
},
"author_username": {
"type": "string",
"description": "Returns merge requests created by the given `username`. Mutually exclusive with `author_id`."
},
"assignee_id": {
"type": "integer",
"description": "Returns merge requests assigned to the given user `id`. `None` returns unassigned merge requests. `Any` returns merge requests with an assignee."
},
"assignee_username": {
"type": "array",
"items": {
"type": "string"
},
"description": "Returns merge requests created by the given `username`. Mutually exclusive with `author_id`."
},
"reviewer_username": {
"type": "string",
"description": "Returns merge requests which have the user as a reviewer with the given `username`. `None` returns merge requests with no reviewers. `Any` returns merge requests with any reviewer. Mutually exclusive with `reviewer_id`. Introduced in GitLab 13.8."
},
"labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Returns merge requests matching a comma-separated list of labels. `None` lists all merge requests with no labels. `Any` lists all merge requests with at least one label. Predefined names are case-insensitive."
},
"milestone": {
"type": "string",
"description": "Returns merge requests for a specific milestone. `None` returns merge requests with no milestone. `Any` returns merge requests that have an assigned milestone."
},
"my_reaction_emoji": {
"type": "string",
"description": "Returns merge requests reacted by the authenticated user by the given `emoji`. `None` returns issues not given a reaction. `Any` returns issues given at least one reaction."
},
"reviewer_id": {
"type": "integer",
"description": "Returns merge requests which have the user as a reviewer with the given user `id`. `None` returns merge requests with no reviewers. `Any` returns merge requests with any reviewer. Mutually exclusive with `reviewer_username`."
},
"state": {
"type": "string",
"description": "Returns `all` merge requests or just those that are `opened`, `closed`, `locked`, or `merged`.",
"enum": [
"opened",
"closed",
"locked",
"merged",
"all"
]
},
"order_by": {
"type": "string",
"description": "Returns merge requests ordered by `created_at`, `label_priority`, `milestone_due`, `popularity`, `priority`, `title`, `updated_at` or `merged_at` fields. Introduced in GitLab 14.8.",
"enum": [
"created_at",
"label_priority",
"milestone_due",
"popularity",
"priority",
"title",
"updated_at",
"merged_at"
]
},
"sort": {
"type": "string",
"description": "Returns merge requests sorted in `asc` or `desc` order.",
"enum": [
"asc",
"desc"
]
},
"with_labels_details": {
"type": "boolean",
"description": "If `true`, response returns more details for each label in labels field: `:name`,`:color`, `:description`, `:description_html`, `:text_color`"
},
"with_merge_status_recheck": {
"type": "boolean",
"description": "If `true`, this projection requests (but does not guarantee) that the `merge_status` field be recalculated asynchronously. Introduced in GitLab 13.0."
},
"created_after": {
"type": "string",
"description": "Returns merge requests created on or after the given time. Expected in ISO 8601 format."
},
"created_before": {
"type": "string",
"description": "Returns merge requests created on or before the given time. Expected in ISO 8601 format."
},
"updated_after": {
"type": "string",
"description": "Returns merge requests updated on or after the given time. Expected in ISO 8601 format."
},
"updated_before": {
"type": "string",
"description": "Returns merge requests updated on or before the given time. Expected in ISO 8601 format."
},
"view": {
"type": "string",
"description": "If simple, returns the `iid`, URL, title, description, and basic state of merge request",
"enum": [
"simple"
]
},
"scope": {
"type": "string",
"description": "Returns merge requests for the given scope: `created_by_me`, `assigned_to_me`, `reviews_for_me` or `all`",
"enum": [
"created-by-me",
"assigned-to-me",
"created_by_me",
"assigned_to_me",
"reviews_for_me",
"all"
]
},
"source_branch": {
"type": "string",
"description": "Returns merge requests with the given source branch"
},
"source_project_id": {
"type": "integer",
"description": "Returns merge requests with the given source project id"
},
"target_branch": {
"type": "string",
"description": "Returns merge requests with the given target branch"
},
"search": {
"type": "string",
"description": "Search merge requests against their `title` and `description`."
},
"in": {
"type": "string",
"description": "Modify the scope of the search attribute. `title`, `description`, or a string joining them with comma."
},
"wip": {
"type": "string",
"description": "Deprecated. Use `draft` instead. Filter merge requests against their `wip` status. `yes` to return only draft merge requests, `no` to return non-draft merge requests.",
"enum": [
"yes",
"no"
]
},
"draft": {
"type": "boolean",
"description": "Filter merge requests against their `draft` status. `true` to return only draft merge requests, `false` to return non-draft merge requests."
},
"not[author_id]": {
"type": "integer",
"description": "`<Negated>` Returns merge requests created by the given user `id`. Mutually exclusive with `author_username`. Combine with `scope=all` or `scope=assigned_to_me`."
},
"not[author_username]": {
"type": "string",
"description": "`<Negated>` Returns merge requests created by the given `username`. Mutually exclusive with `author_id`."
},
"not[assignee_id]": {
"type": "integer",
"description": "`<Negated>` Returns merge requests assigned to the given user `id`. `None` returns unassigned merge requests. `Any` returns merge requests with an assignee."
},
"not[assignee_username]": {
"type": "array",
"items": {
"type": "string"
},
"description": "`<Negated>` Returns merge requests created by the given `username`. Mutually exclusive with `author_id`."
},
"not[reviewer_username]": {
"type": "string",
"description": "`<Negated>` Returns merge requests which have the user as a reviewer with the given `username`. `None` returns merge requests with no reviewers. `Any` returns merge requests with any reviewer. Mutually exclusive with `reviewer_id`. Introduced in GitLab 13.8."
},
"not[labels]": {
"type": "array",
"items": {
"type": "string"
},
"description": "`<Negated>` Returns merge requests matching a comma-separated list of labels. `None` lists all merge requests with no labels. `Any` lists all merge requests with at least one label. Predefined names are case-insensitive."
},
"not[milestone]": {
"type": "string",
"description": "`<Negated>` Returns merge requests for a specific milestone. `None` returns merge requests with no milestone. `Any` returns merge requests that have an assigned milestone."
},
"not[my_reaction_emoji]": {
"type": "string",
"description": "`<Negated>` Returns merge requests reacted by the authenticated user by the given `emoji`. `None` returns issues not given a reaction. `Any` returns issues given at least one reaction."
},
"not[reviewer_id]": {
"type": "integer",
"description": "`<Negated>` Returns merge requests which have the user as a reviewer with the given user `id`. `None` returns merge requests with no reviewers. `Any` returns merge requests with any reviewer. Mutually exclusive with `reviewer_username`."
},
"deployed_before": {
"type": "string",
"description": "Returns merge requests deployed before the given date/time. Expected in ISO 8601 format."
},
"deployed_after": {
"type": "string",
"description": "Returns merge requests deployed after the given date/time. Expected in ISO 8601 format"
},
"environment": {
"type": "string",
"description": "Returns merge requests deployed to the given environment"
},
"merge_user_id": {
"type": "integer",
"description": "Returns merge requests which have been merged by the user with the given user `id`. Mutually exclusive with `merge_user_username`."
},
"merge_user_username": {
"type": "string",
"description": "Returns merge requests which have been merged by the user with the given `username`. Mutually exclusive with `merge_user_id`."
},
"approver_ids": {
"type": "string",
"description": "Return merge requests which have specified the users with the given IDs as an individual approver"
},
"approved_by_ids": {
"type": "string",
"description": "Return merge requests which have been approved by the specified users with the given IDs"
},
"approved_by_usernames": {
"type": "string",
"description": "Return merge requests which have been approved by the specified users with the given usernames"
},
"page": {
"type": "integer",
"description": "Current page number"
},
"per_page": {
"type": "integer",
"description": "Number of items per page"
},
"non_archived": {
"type": "boolean",
"description": "Returns merge requests from non archived projects only."
}
},
"required": [
"PCID"
]
}
gitlab_issues_list_project_issues
Get a list of project issues Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project |
with_labels_details | boolean | No | — | Return titles of labels and other details |
state | string | No | — | Return opened, closed, or all issues |
closed_by_id | integer | No | — | Return issues which were closed by the user with the given ID. |
order_by | string | No | — | Return issues ordered by created_at, due_date, label_priority, milestone_due, popularity, priority, relative_position, title, or updated_at fields. |
sort | string | No | — | Return issues sorted in asc or desc order. |
due_date | string | No | — | Return issues that have no due date (0), or whose due date is this week, this month, between two weeks ago and next month, or which are overdue. Accepts: overdue, week, month, next_month_and_previous_two_weeks, 0 |
issue_type | string | No | — | The type of the issue. Accepts: issue, incident, test_case, requirement, task, ticket |
labels | string[] | No | — | Comma-separated list of label names |
milestone | string | No | — | Milestone title |
milestone_id | string | No | — | Return issues assigned to milestones with the specified timebox value (“Any”, “None”, “Upcoming” or “Started”) |
iids | integer[] | No | — | The IID array of issues |
search | string | No | — | Search issues for text present in the title, description, or any combination of these |
in | string | No | — | title, description, or a string joining them with comma |
author_id | integer | No | — | Return issues which are authored by the user with the given ID |
author_username | string | No | — | Return issues which are authored by the user with the given username |
assignee_id | integer | No | — | Return issues which are assigned to the user with the given ID |
assignee_username | string[] | No | — | Return issues which are assigned to the user with the given username |
created_after | string | No | — | Return issues created after the specified time |
created_before | string | No | — | Return issues created before the specified time |
updated_after | string | No | — | Return issues updated after the specified time |
updated_before | string | No | — | Return issues updated before the specified time |
not[labels] | string[] | No | — | Comma-separated list of label names |
not[milestone] | string | No | — | Milestone title |
not[milestone_id] | string | No | — | Return issues assigned to milestones without the specified timebox value (“Any”, “None”, “Upcoming” or “Started”) |
not[iids] | integer[] | No | — | The IID array of issues |
not[author_id] | integer | No | — | Return issues which are not authored by the user with the given ID |
not[author_username] | string | No | — | Return issues which are not authored by the user with the given username |
not[assignee_id] | integer | No | — | Return issues which are not assigned to the user with the given ID |
not[assignee_username] | string[] | No | — | Return issues which are not assigned to the user with the given username |
not[weight] | integer | No | — | Return issues without the specified weight |
not[iteration_id] | integer | No | — | Return issues which are not assigned to the iteration with the given ID |
not[iteration_title] | string | No | — | Return issues which are not assigned to the iteration with the given title |
scope | string | No | — | Return issues for the given scope: created_by_me, assigned_to_me or all |
my_reaction_emoji | string | No | — | Return issues reacted by the authenticated user by the given emoji |
confidential | boolean | No | — | Filter confidential or public issues |
weight | integer | No | — | The weight of the issue |
epic_id | integer | No | — | The ID of an epic associated with the issues |
health_status | string | No | — | The health status of the issue. Must be one of: on_track, needs_attention, at_risk, none, any |
iteration_id | integer | No | — | Return issues which are assigned to the iteration with the given ID |
iteration_title | string | No | — | Return issues which are assigned to the iteration with the given title |
page | integer | No | — | Current page number |
per_page | integer | No | — | Number of items per page |
cursor | string | No | — | Cursor for obtaining the next set of records |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project"
},
"with_labels_details": {
"type": "boolean",
"description": "Return titles of labels and other details"
},
"state": {
"type": "string",
"description": "Return opened, closed, or all issues",
"enum": [
"opened",
"closed",
"all"
]
},
"closed_by_id": {
"type": "integer",
"description": "Return issues which were closed by the user with the given ID."
},
"order_by": {
"type": "string",
"description": "Return issues ordered by `created_at`, `due_date`, `label_priority`, `milestone_due`, `popularity`, `priority`, `relative_position`, `title`, or `updated_at` fields.",
"enum": [
"created_at",
"due_date",
"label_priority",
"milestone_due",
"popularity",
"priority",
"relative_position",
"title",
"updated_at",
"weight"
]
},
"sort": {
"type": "string",
"description": "Return issues sorted in `asc` or `desc` order.",
"enum": [
"asc",
"desc"
]
},
"due_date": {
"type": "string",
"description": "Return issues that have no due date (`0`), or whose due date is this week, this month, between two weeks ago and next month, or which are overdue. Accepts: `overdue`, `week`, `month`, `next_month_and_previous_two_weeks`, `0`",
"enum": [
"0",
"any",
"today",
"tomorrow",
"overdue",
"week",
"month",
"next_month_and_previous_two_weeks",
""
]
},
"issue_type": {
"type": "string",
"description": "The type of the issue. Accepts: issue, incident, test_case, requirement, task, ticket",
"enum": [
"issue",
"incident",
"test_case",
"requirement",
"task",
"ticket"
]
},
"labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated list of label names"
},
"milestone": {
"type": "string",
"description": "Milestone title"
},
"milestone_id": {
"type": "string",
"description": "Return issues assigned to milestones with the specified timebox value (\"Any\", \"None\", \"Upcoming\" or \"Started\")",
"enum": [
"Any",
"None",
"Upcoming",
"Started"
]
},
"iids": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The IID array of issues"
},
"search": {
"type": "string",
"description": "Search issues for text present in the title, description, or any combination of these"
},
"in": {
"type": "string",
"description": "`title`, `description`, or a string joining them with comma"
},
"author_id": {
"type": "integer",
"description": "Return issues which are authored by the user with the given ID"
},
"author_username": {
"type": "string",
"description": "Return issues which are authored by the user with the given username"
},
"assignee_id": {
"type": "integer",
"description": "Return issues which are assigned to the user with the given ID"
},
"assignee_username": {
"type": "array",
"items": {
"type": "string"
},
"description": "Return issues which are assigned to the user with the given username"
},
"created_after": {
"type": "string",
"description": "Return issues created after the specified time"
},
"created_before": {
"type": "string",
"description": "Return issues created before the specified time"
},
"updated_after": {
"type": "string",
"description": "Return issues updated after the specified time"
},
"updated_before": {
"type": "string",
"description": "Return issues updated before the specified time"
},
"not[labels]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated list of label names"
},
"not[milestone]": {
"type": "string",
"description": "Milestone title"
},
"not[milestone_id]": {
"type": "string",
"description": "Return issues assigned to milestones without the specified timebox value (\"Any\", \"None\", \"Upcoming\" or \"Started\")",
"enum": [
"Any",
"None",
"Upcoming",
"Started"
]
},
"not[iids]": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The IID array of issues"
},
"not[author_id]": {
"type": "integer",
"description": "Return issues which are not authored by the user with the given ID"
},
"not[author_username]": {
"type": "string",
"description": "Return issues which are not authored by the user with the given username"
},
"not[assignee_id]": {
"type": "integer",
"description": "Return issues which are not assigned to the user with the given ID"
},
"not[assignee_username]": {
"type": "array",
"items": {
"type": "string"
},
"description": "Return issues which are not assigned to the user with the given username"
},
"not[weight]": {
"type": "integer",
"description": "Return issues without the specified weight"
},
"not[iteration_id]": {
"type": "integer",
"description": "Return issues which are not assigned to the iteration with the given ID"
},
"not[iteration_title]": {
"type": "string",
"description": "Return issues which are not assigned to the iteration with the given title"
},
"scope": {
"type": "string",
"description": "Return issues for the given scope: `created_by_me`, `assigned_to_me` or `all`",
"enum": [
"created-by-me",
"assigned-to-me",
"created_by_me",
"assigned_to_me",
"all"
]
},
"my_reaction_emoji": {
"type": "string",
"description": "Return issues reacted by the authenticated user by the given emoji"
},
"confidential": {
"type": "boolean",
"description": "Filter confidential or public issues"
},
"weight": {
"type": "integer",
"description": "The weight of the issue"
},
"epic_id": {
"type": "integer",
"description": "The ID of an epic associated with the issues"
},
"health_status": {
"type": "string",
"description": "The health status of the issue. Must be one of: on_track, needs_attention, at_risk, none, any",
"enum": [
"on_track",
"needs_attention",
"at_risk",
"none",
"any"
]
},
"iteration_id": {
"type": "integer",
"description": "Return issues which are assigned to the iteration with the given ID"
},
"iteration_title": {
"type": "string",
"description": "Return issues which are assigned to the iteration with the given title"
},
"page": {
"type": "integer",
"description": "Current page number"
},
"per_page": {
"type": "integer",
"description": "Number of items per page"
},
"cursor": {
"type": "string",
"description": "Cursor for obtaining the next set of records"
}
},
"required": [
"PCID",
"id"
]
}
gitlab_issues_list_project_merge_requests
List project merge requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project. |
author_id | integer | No | — | Returns merge requests created by the given user id. Mutually exclusive with author_username. Combine with scope=all or scope=assigned_to_me. |
author_username | string | No | — | Returns merge requests created by the given username. Mutually exclusive with author_id. |
assignee_id | integer | No | — | Returns merge requests assigned to the given user id. None returns unassigned merge requests. Any returns merge requests with an assignee. |
assignee_username | string[] | No | — | Returns merge requests created by the given username. Mutually exclusive with author_id. |
reviewer_username | string | No | — | Returns merge requests which have the user as a reviewer with the given username. None returns merge requests with no reviewers. Any returns merge requests with any reviewer. Mutually exclusive with reviewer_id. Introduced in GitLab 13.8. |
labels | string[] | No | — | Returns merge requests matching a comma-separated list of labels. None lists all merge requests with no labels. Any lists all merge requests with at least one label. Predefined names are case-insensitive. |
milestone | string | No | — | Returns merge requests for a specific milestone. None returns merge requests with no milestone. Any returns merge requests that have an assigned milestone. |
my_reaction_emoji | string | No | — | Returns merge requests reacted by the authenticated user by the given emoji. None returns issues not given a reaction. Any returns issues given at least one reaction. |
reviewer_id | integer | No | — | Returns merge requests which have the user as a reviewer with the given user id. None returns merge requests with no reviewers. Any returns merge requests with any reviewer. Mutually exclusive with reviewer_username. |
state | string | No | — | Returns all merge requests or just those that are opened, closed, locked, or merged. |
order_by | string | No | — | Returns merge requests ordered by created_at, label_priority, milestone_due, popularity, priority, title, updated_at or merged_at fields. Introduced in GitLab 14.8. |
sort | string | No | — | Returns merge requests sorted in asc or desc order. |
with_labels_details | boolean | No | — | If true, response returns more details for each label in labels field: :name,:color, :description, :description_html, :text_color |
with_merge_status_recheck | boolean | No | — | If true, this projection requests (but does not guarantee) that the merge_status field be recalculated asynchronously. Introduced in GitLab 13.0. |
created_after | string | No | — | Returns merge requests created on or after the given time. Expected in ISO 8601 format. |
created_before | string | No | — | Returns merge requests created on or before the given time. Expected in ISO 8601 format. |
updated_after | string | No | — | Returns merge requests updated on or after the given time. Expected in ISO 8601 format. |
updated_before | string | No | — | Returns merge requests updated on or before the given time. Expected in ISO 8601 format. |
view | string | No | — | If simple, returns the iid, URL, title, description, and basic state of merge request |
scope | string | No | — | Returns merge requests for the given scope: created_by_me, assigned_to_me, reviews_for_me or all |
source_branch | string | No | — | Returns merge requests with the given source branch |
source_project_id | integer | No | — | Returns merge requests with the given source project id |
target_branch | string | No | — | Returns merge requests with the given target branch |
search | string | No | — | Search merge requests against their title and description. |
in | string | No | — | Modify the scope of the search attribute. title, description, or a string joining them with comma. |
wip | string | No | — | Deprecated. Use draft instead. Filter merge requests against their wip status. yes to return only draft merge requests, no to return non-draft merge requests. |
draft | boolean | No | — | Filter merge requests against their draft status. true to return only draft merge requests, false to return non-draft merge requests. |
not[author_id] | integer | No | — | <Negated> Returns merge requests created by the given user id. Mutually exclusive with author_username. Combine with scope=all or scope=assigned_to_me. |
not[author_username] | string | No | — | <Negated> Returns merge requests created by the given username. Mutually exclusive with author_id. |
not[assignee_id] | integer | No | — | <Negated> Returns merge requests assigned to the given user id. None returns unassigned merge requests. Any returns merge requests with an assignee. |
not[assignee_username] | string[] | No | — | <Negated> Returns merge requests created by the given username. Mutually exclusive with author_id. |
not[reviewer_username] | string | No | — | <Negated> Returns merge requests which have the user as a reviewer with the given username. None returns merge requests with no reviewers. Any returns merge requests with any reviewer. Mutually exclusive with reviewer_id. Introduced in GitLab 13.8. |
not[labels] | string[] | No | — | <Negated> Returns merge requests matching a comma-separated list of labels. None lists all merge requests with no labels. Any lists all merge requests with at least one label. Predefined names are case-insensitive. |
not[milestone] | string | No | — | <Negated> Returns merge requests for a specific milestone. None returns merge requests with no milestone. Any returns merge requests that have an assigned milestone. |
not[my_reaction_emoji] | string | No | — | <Negated> Returns merge requests reacted by the authenticated user by the given emoji. None returns issues not given a reaction. Any returns issues given at least one reaction. |
not[reviewer_id] | integer | No | — | <Negated> Returns merge requests which have the user as a reviewer with the given user id. None returns merge requests with no reviewers. Any returns merge requests with any reviewer. Mutually exclusive with reviewer_username. |
deployed_before | string | No | — | Returns merge requests deployed before the given date/time. Expected in ISO 8601 format. |
deployed_after | string | No | — | Returns merge requests deployed after the given date/time. Expected in ISO 8601 format |
environment | string | No | — | Returns merge requests deployed to the given environment |
merge_user_id | integer | No | — | Returns merge requests which have been merged by the user with the given user id. Mutually exclusive with merge_user_username. |
merge_user_username | string | No | — | Returns merge requests which have been merged by the user with the given username. Mutually exclusive with merge_user_id. |
approver_ids | string | No | — | Return merge requests which have specified the users with the given IDs as an individual approver |
approved_by_ids | string | No | — | Return merge requests which have been approved by the specified users with the given IDs |
approved_by_usernames | string | No | — | Return merge requests which have been approved by the specified users with the given usernames |
page | integer | No | — | Current page number |
per_page | integer | No | — | Number of items per page |
iids | integer[] | No | — | Returns the request having the given iid. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project."
},
"author_id": {
"type": "integer",
"description": "Returns merge requests created by the given user `id`. Mutually exclusive with `author_username`. Combine with `scope=all` or `scope=assigned_to_me`."
},
"author_username": {
"type": "string",
"description": "Returns merge requests created by the given `username`. Mutually exclusive with `author_id`."
},
"assignee_id": {
"type": "integer",
"description": "Returns merge requests assigned to the given user `id`. `None` returns unassigned merge requests. `Any` returns merge requests with an assignee."
},
"assignee_username": {
"type": "array",
"items": {
"type": "string"
},
"description": "Returns merge requests created by the given `username`. Mutually exclusive with `author_id`."
},
"reviewer_username": {
"type": "string",
"description": "Returns merge requests which have the user as a reviewer with the given `username`. `None` returns merge requests with no reviewers. `Any` returns merge requests with any reviewer. Mutually exclusive with `reviewer_id`. Introduced in GitLab 13.8."
},
"labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Returns merge requests matching a comma-separated list of labels. `None` lists all merge requests with no labels. `Any` lists all merge requests with at least one label. Predefined names are case-insensitive."
},
"milestone": {
"type": "string",
"description": "Returns merge requests for a specific milestone. `None` returns merge requests with no milestone. `Any` returns merge requests that have an assigned milestone."
},
"my_reaction_emoji": {
"type": "string",
"description": "Returns merge requests reacted by the authenticated user by the given `emoji`. `None` returns issues not given a reaction. `Any` returns issues given at least one reaction."
},
"reviewer_id": {
"type": "integer",
"description": "Returns merge requests which have the user as a reviewer with the given user `id`. `None` returns merge requests with no reviewers. `Any` returns merge requests with any reviewer. Mutually exclusive with `reviewer_username`."
},
"state": {
"type": "string",
"description": "Returns `all` merge requests or just those that are `opened`, `closed`, `locked`, or `merged`.",
"enum": [
"opened",
"closed",
"locked",
"merged",
"all"
]
},
"order_by": {
"type": "string",
"description": "Returns merge requests ordered by `created_at`, `label_priority`, `milestone_due`, `popularity`, `priority`, `title`, `updated_at` or `merged_at` fields. Introduced in GitLab 14.8.",
"enum": [
"created_at",
"label_priority",
"milestone_due",
"popularity",
"priority",
"title",
"updated_at",
"merged_at"
]
},
"sort": {
"type": "string",
"description": "Returns merge requests sorted in `asc` or `desc` order.",
"enum": [
"asc",
"desc"
]
},
"with_labels_details": {
"type": "boolean",
"description": "If `true`, response returns more details for each label in labels field: `:name`,`:color`, `:description`, `:description_html`, `:text_color`"
},
"with_merge_status_recheck": {
"type": "boolean",
"description": "If `true`, this projection requests (but does not guarantee) that the `merge_status` field be recalculated asynchronously. Introduced in GitLab 13.0."
},
"created_after": {
"type": "string",
"description": "Returns merge requests created on or after the given time. Expected in ISO 8601 format."
},
"created_before": {
"type": "string",
"description": "Returns merge requests created on or before the given time. Expected in ISO 8601 format."
},
"updated_after": {
"type": "string",
"description": "Returns merge requests updated on or after the given time. Expected in ISO 8601 format."
},
"updated_before": {
"type": "string",
"description": "Returns merge requests updated on or before the given time. Expected in ISO 8601 format."
},
"view": {
"type": "string",
"description": "If simple, returns the `iid`, URL, title, description, and basic state of merge request",
"enum": [
"simple"
]
},
"scope": {
"type": "string",
"description": "Returns merge requests for the given scope: `created_by_me`, `assigned_to_me`, `reviews_for_me` or `all`",
"enum": [
"created-by-me",
"assigned-to-me",
"created_by_me",
"assigned_to_me",
"reviews_for_me",
"all"
]
},
"source_branch": {
"type": "string",
"description": "Returns merge requests with the given source branch"
},
"source_project_id": {
"type": "integer",
"description": "Returns merge requests with the given source project id"
},
"target_branch": {
"type": "string",
"description": "Returns merge requests with the given target branch"
},
"search": {
"type": "string",
"description": "Search merge requests against their `title` and `description`."
},
"in": {
"type": "string",
"description": "Modify the scope of the search attribute. `title`, `description`, or a string joining them with comma."
},
"wip": {
"type": "string",
"description": "Deprecated. Use `draft` instead. Filter merge requests against their `wip` status. `yes` to return only draft merge requests, `no` to return non-draft merge requests.",
"enum": [
"yes",
"no"
]
},
"draft": {
"type": "boolean",
"description": "Filter merge requests against their `draft` status. `true` to return only draft merge requests, `false` to return non-draft merge requests."
},
"not[author_id]": {
"type": "integer",
"description": "`<Negated>` Returns merge requests created by the given user `id`. Mutually exclusive with `author_username`. Combine with `scope=all` or `scope=assigned_to_me`."
},
"not[author_username]": {
"type": "string",
"description": "`<Negated>` Returns merge requests created by the given `username`. Mutually exclusive with `author_id`."
},
"not[assignee_id]": {
"type": "integer",
"description": "`<Negated>` Returns merge requests assigned to the given user `id`. `None` returns unassigned merge requests. `Any` returns merge requests with an assignee."
},
"not[assignee_username]": {
"type": "array",
"items": {
"type": "string"
},
"description": "`<Negated>` Returns merge requests created by the given `username`. Mutually exclusive with `author_id`."
},
"not[reviewer_username]": {
"type": "string",
"description": "`<Negated>` Returns merge requests which have the user as a reviewer with the given `username`. `None` returns merge requests with no reviewers. `Any` returns merge requests with any reviewer. Mutually exclusive with `reviewer_id`. Introduced in GitLab 13.8."
},
"not[labels]": {
"type": "array",
"items": {
"type": "string"
},
"description": "`<Negated>` Returns merge requests matching a comma-separated list of labels. `None` lists all merge requests with no labels. `Any` lists all merge requests with at least one label. Predefined names are case-insensitive."
},
"not[milestone]": {
"type": "string",
"description": "`<Negated>` Returns merge requests for a specific milestone. `None` returns merge requests with no milestone. `Any` returns merge requests that have an assigned milestone."
},
"not[my_reaction_emoji]": {
"type": "string",
"description": "`<Negated>` Returns merge requests reacted by the authenticated user by the given `emoji`. `None` returns issues not given a reaction. `Any` returns issues given at least one reaction."
},
"not[reviewer_id]": {
"type": "integer",
"description": "`<Negated>` Returns merge requests which have the user as a reviewer with the given user `id`. `None` returns merge requests with no reviewers. `Any` returns merge requests with any reviewer. Mutually exclusive with `reviewer_username`."
},
"deployed_before": {
"type": "string",
"description": "Returns merge requests deployed before the given date/time. Expected in ISO 8601 format."
},
"deployed_after": {
"type": "string",
"description": "Returns merge requests deployed after the given date/time. Expected in ISO 8601 format"
},
"environment": {
"type": "string",
"description": "Returns merge requests deployed to the given environment"
},
"merge_user_id": {
"type": "integer",
"description": "Returns merge requests which have been merged by the user with the given user `id`. Mutually exclusive with `merge_user_username`."
},
"merge_user_username": {
"type": "string",
"description": "Returns merge requests which have been merged by the user with the given `username`. Mutually exclusive with `merge_user_id`."
},
"approver_ids": {
"type": "string",
"description": "Return merge requests which have specified the users with the given IDs as an individual approver"
},
"approved_by_ids": {
"type": "string",
"description": "Return merge requests which have been approved by the specified users with the given IDs"
},
"approved_by_usernames": {
"type": "string",
"description": "Return merge requests which have been approved by the specified users with the given usernames"
},
"page": {
"type": "integer",
"description": "Current page number"
},
"per_page": {
"type": "integer",
"description": "Number of items per page"
},
"iids": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "Returns the request having the given `iid`."
}
},
"required": [
"PCID",
"id"
]
}
gitlab_issues_merge_merge_request
Merge a merge request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project. |
merge_request_iid | integer | Yes | — | Merge Request Iid |
auto_merge | boolean | No | — | If true, the merge request is set to auto merge. |
merge_commit_message | string | No | — | Custom merge commit message. |
merge_when_pipeline_succeeds | boolean | No | — | Deprecated: Use auto_merge instead. |
sha | string | No | — | If present, then this SHA must match the HEAD of the source branch, otherwise the merge fails. |
should_remove_source_branch | boolean | No | — | If true, removes the source branch. |
skip_merge_train | boolean | No | — | If true skips train restart when merging immediately in a merge train configured project. |
squash | boolean | No | — | If true, the commits are squashed into a single commit on merge. |
squash_commit_message | string | No | — | Custom squash commit message. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project."
},
"merge_request_iid": {
"type": "integer",
"description": "Merge Request Iid"
},
"auto_merge": {
"type": "boolean",
"description": "If `true`, the merge request is set to auto merge."
},
"merge_commit_message": {
"type": "string",
"description": "Custom merge commit message."
},
"merge_when_pipeline_succeeds": {
"type": "boolean",
"description": "Deprecated: Use auto_merge instead."
},
"sha": {
"type": "string",
"description": "If present, then this SHA must match the HEAD of the source branch, otherwise the merge fails."
},
"should_remove_source_branch": {
"type": "boolean",
"description": "If `true`, removes the source branch."
},
"skip_merge_train": {
"type": "boolean",
"description": "If `true` skips train restart when merging immediately in a merge train configured project."
},
"squash": {
"type": "boolean",
"description": "If `true`, the commits are squashed into a single commit on merge."
},
"squash_commit_message": {
"type": "string",
"description": "Custom squash commit message."
}
},
"required": [
"PCID",
"id",
"merge_request_iid"
]
}
gitlab_issues_search
Search an instance Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
search | string | Yes | — | The expression it should be searched for |
scope | string | Yes | — | The scope of the search |
state | string | No | — | Filter results by state |
confidential | boolean | No | — | Filter results by confidentiality |
type | string[] | No | — | Filter work items by type. Only applies to work_items scope. Available types: issue, task, epic, incident, test_case, requirement, objective, key_result, ticket. |
include_archived | boolean | No | — | Includes archived projects in the search. Introduced in GitLab 18.9. |
fields | string[] | No | — | Array of fields you wish to search. Available with advanced search. |
exclude_forks | boolean | No | — | Excludes forked projects in the search. Available with exact code search. Introduced in GitLab 18.9. |
num_context_lines | integer | No | — | Number of context lines around each match. Available with advanced and exact code search. Introduced in GitLab 18.11. |
regex | boolean | No | — | Performs a regex code search. Available with exact code search. Introduced in GitLab 18.9 |
page | integer | No | — | Current page number |
per_page | integer | No | — | Number of items per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"search": {
"type": "string",
"description": "The expression it should be searched for"
},
"scope": {
"type": "string",
"description": "The scope of the search",
"enum": [
"wiki_blobs",
"blobs",
"commits",
"notes",
"projects",
"issues",
"work_items",
"merge_requests",
"milestones",
"snippet_titles",
"users"
]
},
"state": {
"type": "string",
"description": "Filter results by state",
"enum": [
"all",
"opened",
"closed",
"merged"
]
},
"confidential": {
"type": "boolean",
"description": "Filter results by confidentiality"
},
"type": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter work items by type. Only applies to work_items scope. Available types: issue, task, epic, incident, test_case, requirement, objective, key_result, ticket."
},
"include_archived": {
"type": "boolean",
"description": "Includes archived projects in the search. Introduced in GitLab 18.9."
},
"fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"title"
]
},
"description": "Array of fields you wish to search. Available with advanced search."
},
"exclude_forks": {
"type": "boolean",
"description": "Excludes forked projects in the search. Available with exact code search. Introduced in GitLab 18.9."
},
"num_context_lines": {
"type": "integer",
"description": "Number of context lines around each match. Available with advanced and exact code search. Introduced in GitLab 18.11."
},
"regex": {
"type": "boolean",
"description": "Performs a regex code search. Available with exact code search. Introduced in GitLab 18.9"
},
"page": {
"type": "integer",
"description": "Current page number"
},
"per_page": {
"type": "integer",
"description": "Number of items per page"
}
},
"required": [
"PCID",
"search",
"scope"
]
}
gitlab_issues_update_issue
Update an existing issue Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project |
issue_iid | integer | Yes | — | The internal ID of a project issue |
add_labels | string[] | No | — | Comma-separated list of label names |
assignee_id | integer | No | — | [Deprecated] The ID of a user to assign issue |
assignee_ids | integer[] | No | — | The array of user IDs to assign issue |
confidential | boolean | No | — | Boolean parameter if the issue should be confidential |
created_at | string | No | — | Created At |
description | string | No | — | The description of an issue |
discussion_locked | boolean | No | — | Boolean parameter indicating if the issue’s discussion is locked |
due_date | string | No | — | Date string in the format YEAR-MONTH-DAY |
epic_id | integer | No | — | The ID of an epic to associate the issue with |
epic_iid | integer | No | — | The IID of an epic to associate the issue with (deprecated) |
issue_type | string | No | — | The type of the issue. Accepts: issue, incident, test_case, requirement, task, ticket |
labels | string[] | No | — | Comma-separated list of label names |
milestone | string | No | — | The title of a project or ancestor-group milestone to assign the issue to. Mutually exclusive with milestone_id. |
milestone_id | integer | No | — | The ID of a milestone to assign issue |
remove_labels | string[] | No | — | Comma-separated list of label names |
state_event | string | No | — | State of the issue |
title | string | No | — | The title of an issue |
updated_at | string | No | — | Date time when the issue was updated. Available only for admins and project owners. |
weight | integer | No | — | The weight of the issue |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project"
},
"issue_iid": {
"type": "integer",
"description": "The internal ID of a project issue"
},
"add_labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated list of label names"
},
"assignee_id": {
"type": "integer",
"description": "[Deprecated] The ID of a user to assign issue"
},
"assignee_ids": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The array of user IDs to assign issue"
},
"confidential": {
"type": "boolean",
"description": "Boolean parameter if the issue should be confidential"
},
"created_at": {
"type": "string",
"description": "Created At"
},
"description": {
"type": "string",
"description": "The description of an issue"
},
"discussion_locked": {
"type": "boolean",
"description": "Boolean parameter indicating if the issue's discussion is locked"
},
"due_date": {
"type": "string",
"description": "Date string in the format YEAR-MONTH-DAY"
},
"epic_id": {
"type": "integer",
"description": "The ID of an epic to associate the issue with"
},
"epic_iid": {
"type": "integer",
"description": "The IID of an epic to associate the issue with (deprecated)"
},
"issue_type": {
"type": "string",
"description": "The type of the issue. Accepts: issue, incident, test_case, requirement, task, ticket",
"enum": [
"issue",
"incident",
"test_case",
"requirement",
"task",
"ticket"
]
},
"labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated list of label names"
},
"milestone": {
"type": "string",
"description": "The title of a project or ancestor-group milestone to assign the issue to. Mutually exclusive with `milestone_id`."
},
"milestone_id": {
"type": "integer",
"description": "The ID of a milestone to assign issue"
},
"remove_labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated list of label names"
},
"state_event": {
"type": "string",
"description": "State of the issue",
"enum": [
"reopen",
"close"
]
},
"title": {
"type": "string",
"description": "The title of an issue"
},
"updated_at": {
"type": "string",
"description": "Date time when the issue was updated. Available only for admins and project owners."
},
"weight": {
"type": "integer",
"description": "The weight of the issue"
}
},
"required": [
"PCID",
"id",
"issue_iid"
]
}
gitlab_issues_update_merge_request
Update merge request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID or URL-encoded path of the project. |
merge_request_iid | integer | Yes | — | Merge Request Iid |
add_labels | string[] | No | — | Comma-separated label names to add to a merge request. |
allow_collaboration | boolean | No | — | Allow commits from members who can merge to the target branch. |
allow_maintainer_to_push | boolean | No | — | [deprecated] See allow_collaboration |
approvals_before_merge | integer | No | — | Number of approvals required before this can be merged |
assignee_id | integer | No | — | Assignee user ID. |
assignee_ids | integer[] | No | — | The IDs of the users to assign the merge request to, as a comma-separated list. Set to 0 or provide an empty value to unassign all assignees. |
description | string | No | — | Description of the merge request. Limited to 1,048,576 characters. |
discussion_locked | boolean | No | — | Flag indicating if the merge request’s discussion is locked. If the discussion is locked only project members can add, edit or resolve comments. |
labels | string[] | No | — | Comma-separated label names for a merge request. Set to an empty string to unassign all labels. |
merge_after | string | No | — | Date after which the merge request can be merged. |
milestone | string | No | — | The title of a project or ancestor-group milestone to assign the merge request to. Mutually exclusive with milestone_id. |
milestone_id | integer | No | — | The global ID of a milestone to assign the merge request to. |
remove_labels | string[] | No | — | Comma-separated label names to remove from a merge request. |
remove_source_branch | boolean | No | — | Flag indicating if a merge request should remove the source branch when merging. |
reviewer_ids | integer[] | No | — | The IDs of the users to review the merge request, as a comma-separated list. Set to 0 or provide an empty value to unassign all reviewers. |
squash | boolean | No | — | Squash commits into a single commit when merging. |
state_event | string | No | — | New state (close/reopen). |
target_branch | string | No | — | The target branch. |
title | string | No | — | The title of the merge request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID or URL-encoded path of the project."
},
"merge_request_iid": {
"type": "integer",
"description": "Merge Request Iid"
},
"add_labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated label names to add to a merge request."
},
"allow_collaboration": {
"type": "boolean",
"description": "Allow commits from members who can merge to the target branch."
},
"allow_maintainer_to_push": {
"type": "boolean",
"description": "[deprecated] See allow_collaboration"
},
"approvals_before_merge": {
"type": "integer",
"description": "Number of approvals required before this can be merged"
},
"assignee_id": {
"type": "integer",
"description": "Assignee user ID."
},
"assignee_ids": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The IDs of the users to assign the merge request to, as a comma-separated list. Set to 0 or provide an empty value to unassign all assignees."
},
"description": {
"type": "string",
"description": "Description of the merge request. Limited to 1,048,576 characters."
},
"discussion_locked": {
"type": "boolean",
"description": "Flag indicating if the merge request’s discussion is locked. If the discussion is locked only project members can add, edit or resolve comments."
},
"labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated label names for a merge request. Set to an empty string to unassign all labels."
},
"merge_after": {
"type": "string",
"description": "Date after which the merge request can be merged."
},
"milestone": {
"type": "string",
"description": "The title of a project or ancestor-group milestone to assign the merge request to. Mutually exclusive with `milestone_id`."
},
"milestone_id": {
"type": "integer",
"description": "The global ID of a milestone to assign the merge request to."
},
"remove_labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "Comma-separated label names to remove from a merge request."
},
"remove_source_branch": {
"type": "boolean",
"description": "Flag indicating if a merge request should remove the source branch when merging."
},
"reviewer_ids": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The IDs of the users to review the merge request, as a comma-separated list. Set to 0 or provide an empty value to unassign all reviewers."
},
"squash": {
"type": "boolean",
"description": "Squash commits into a single commit when merging."
},
"state_event": {
"type": "string",
"description": "New state (close/reopen).",
"enum": [
"close",
"reopen"
]
},
"target_branch": {
"type": "string",
"description": "The target branch."
},
"title": {
"type": "string",
"description": "The title of the merge request."
}
},
"required": [
"PCID",
"id",
"merge_request_iid"
]
}

